/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载调度器选择下拉框
//var v_quartz_scheduler = [{CODE_ID:'scheduler1',CODE_NAME:'1号调度器'},{CODE_ID:'scheduler2',CODE_NAME:'2号调度器'}];
//加载调度类型下拉框
//var v_quartz_type = [{CODE_ID:'0',CODE_NAME:'简单调度'},{CODE_ID:'1',CODE_NAME:'Cron高级调度'}];
//加载是否已加载下拉框
//var v_quartz_run = [{CODE_ID:'0',CODE_NAME:'未加载'},{CODE_ID:'1',CODE_NAME:'已加载'}];
//加载映射应用
var v_query_ysyy = {};
v_query_ysyy.FIELD_tableName = "B_T_UFP_APPS";
v_query_ysyy.FIELD_IS_DELETE = '0';
var v_ysyy_data = mapping1Module.mapping1DataAction.listTable(v_query_ysyy);
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
   title:"绑定用户列表",
   iconCls:$.getJwWindowPic(),
   url:'jwAppsMappingData_listTable',
   queryParams:{FIELD_tableName:'B_V_UFP_MAPPER_USER',FIELD_IS_DELETE:0},
   rownumbers : true,//显示索引号
   singleSelect : false,//是否多选
   fitColumns : false,//是否撑满
   autoRowHeight : 30,//设定高度
   pagination : true,//分页显示
   pageSize : rows,//显示行数
   pageList : listPageSize,//条数选择
   striped : true, //是否隔行显示
   remoteSort : false,//是否从服务器排序
   frozenColumns : [[
			{
				field : 'ck',
				checkbox : true
			},
			{
				field : 'option',
				title : '操作',
				width : 80,
				align : 'center',
				formatter : formatMenu
			}
			       ]],
   columns:[[
			{
				field : 'USER_ID',
				title : '用户账号',
				width : 200,
				align : 'left'
			},
			{
				field : 'USER_NAME',
				title : '用户名',
				width : 200,
				align : 'left'
			},
			{
				field : 'APP_NAME',
				title : '应用名称',
				width : 500,
				align : 'left'
			}
           ]],
           toolbar : '#tb',
	   	   onLoadSuccess : function() {
	   		 createOptionMenuTooltip(60);
	   	   }
});

/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("jwAppsMappingView_mappingUserdetailLoad",is_row,"新增",true,0.65,0.95,0,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	 $('#APP_ID').combobox({
		data : v_ysyy_data.rowSet,
		valueField : 'UUID',
		textField : 'APP_NAME',
		editable:false,
		panelHeight:'auto'
     });
}
//保存
function insertData(is_entity){
//	is_entity.FIELD_START_DATE = strToDateObj(is_entity.FIELD_START_DATE);
//	is_entity.FIELD_END_DATE = strToDateObj(is_entity.FIELD_END_DATE);
	is_entity.FIELD_tableName='B_T_UFP_MAPPER_USER';
	//is_entity.FIELD_UUID=is_entity.FIELD_USER_ID;
	var v_result = mapping1Module.mapping1ActAction.insertTable(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}
//加载修改子页面
function editRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("jwAppsMappingView_mappingUserdetailLoad",is_row[0],"编辑",true,0.65,0.95,0,0);
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#APP_ID').combobox({
		data : v_ysyy_data.rowSet,
		valueField : 'UUID',
		textField : 'APP_NAME',
		editable:false,
		panelHeight:'auto'
     });
}
//保存
function updateData(is_entity){
//	is_entity.FIELD_START_DATE = strToDateObj(is_entity.FIELD_START_DATE);
//	is_entity.FIELD_END_DATE = strToDateObj(is_entity.FIELD_END_DATE);
	is_entity.FIELD_tableName='B_T_UFP_MAPPER_USER';
	v_result = mapping1Module.mapping1ActAction.updateTable(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);
	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
		    v_query.FIELD_tableName='B_T_UFP_MAPPER_USER';
		    var v_result = mapping1Module.mapping1ActAction.deleteTable(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需删除的记录!",'info');
		return;
	}
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
		    v_query.FIELD_tableName='B_T_UFP_MAPPER_USER';
		    var v_result = mapping1Module.mapping1ActAction.deleteTable(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	var v_query={};
	v_query.FIELD_tableName='B_V_UFP_MAPPER_USER';
	v_query.FIELD_IS_DELETE = '0';
	$('#list').datagrid('load',v_query);
	$("#mappingUserlistLoad_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#mappingUserlistLoad_searchForm").getFormVal();
	v_query.FIELD_tableName='B_V_UFP_MAPPER_USER';
	v_query.FIELD_IS_DELETE = '0';
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：10
 * 功能：上传
 * 参数：填写限制上传类型,上传地址
 * 说明：openUpload_image(uuid),打开图片上传;
 *      openUpload_doc(uuid),打开常用公文上传;
 *      openUpload_imagedoc(uuid),打开常图片+用公文上传;
 *      如有特殊限制时用以下这段:
 *      var up_type = "gif,jpg,jpeg,bmp,png";//限制上传类型
 *      var up_act = "reportact_upload";//上传地址
 *      openUpload_page1(up_type,up_act,uuid);
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//打开上传页面
function uploadjw(uuid){
	if(uuid == '' || uuid == null || uuid == 'undefined'){
		$.messager.alert('提示',"主记录关键字不能为空!",'info');
	    return;
	}
	openUpload_doc(uuid);
}
//上传成功后的回调,主要返回三个参数:
//fname上传时的真实文件名如：文件.txt,
//fpath上传后的真实文件名如：c:\temp\145597044184082388.txt
//uuid主要用于记录跟文件绑定用
function uploadCallback(fname,fpath,uuid){
//	var fileOld = fname;
//	var filePath = fpath.substring(0,fpath.lastIndexOf("/")+1);
//	var filenew = fpath.substring(fpath.lastIndexOf("/")+1);
//	$("#UPLOADNEW").textbox('setValue',filenew);
//	$("#UPLOADPATH").val(filePath);
//	$("#UPLOADOLD").val(fileOld);
//	$.messager.alert('提示',"上传成功,请及时保存!",'info');
	
	var v_img_entity={'FILED_FILE_NAME':fname,'FILED_FILE_PATH':fpath};
	var v_result = mapping1Module.mapping1ActAction.ImpUser(v_img_entity);
	$.messager.alert('提示',v_result.VALUE);
	$('#list').datagrid('reload');
	
//	$.sendPost ('jwAppsMappingAct_ImpUser', v_img_entity, function(v_result){
//		$.messager.progress('close');	
//		$.messager.alert('提示',v_result.VALUE);
//		$('#list').datagrid('reload');
//	}, function(data){
//		alert("失败");
//	}, "json");
	
}
/****/

/**
 * 序号：12
 * 功能：下载
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function downloadjw(uuid){
   var uploadnew = 'ExpUser.xls';
   var uploadpath = '/uploadFile/apps/mappingUser';
   var uploadold = '账号导入模板.xls';
   if(uploadpath == null || uploadpath == ""){
      $.messager.alert('提示',"没有文件可以下载!",'info');
      return;
   }
//   var url = gaowj.WEB_APP_NAME + "/reportact_download?uploadnew="+uploadnew+"&uploadpath="+uploadpath+"&uploadold="+uploadold;
//   window.location = url;
   fileDownloadURL(uploadnew,uploadpath,uploadold,uuid,'jwAppsMappingAct_download');
}
/****/

/**
 * 文件上传
 * 
 * @returns {Boolean}
 */
//function ajaxFileUpload() {
//
//
//	if ($.trim($("#userFile").val()).length == 0)
//		return false;
//	var temp_path = $("#userFile").val();
//	var temp_path_ext_indexS = temp_path.lastIndexOf(".") + 1;
//	var temp_path_ext = temp_path.substring(temp_path_ext_indexS);
//	$.messager.progress({text:'人员导入中，请稍候。'});
//	$.ajaxFileUpload( {
//		url : 'jwAppsMappingAct_uploadUser',// 用于文件上传的服务器端请求地址
//		secureuri : false,// 一般设置为false
//		fileElementId : 'userFile',// 文件上传空间的id属性 <input type="file" id="file"
//									// name="file" />
//		dataType : 'json',// 返回值类型 一般设置为json
//		success : function(data, status) // 服务器成功响应处理函数
//		{
//			if (data.message.file != 'undefined') {
//				var view_name = data.message.file.split(",")[1];
//				var store_name = data.message.file.split(",")[0];
//				var v_img_entity={'FILED_FILE_NAME':view_name,'FILED_FILE_PATH':store_name}
//				$.sendPost ('jwAppsMappingAct_ImpUser', v_img_entity, function(v_result){
//					$.messager.progress('close');	
//					$.messager.alert('提示',v_result.VALUE);
//						$('#list').datagrid('reload');
//					}, function(data){
//						alert("失败");
//				}, "json");
//			}
//		},
//		error : function(data, status, e)// 服务器响应失败处理函数
//		{
//			$.messager.progress('close');	
//			alert(e);
//		}
//	});
//
//	return false;
//
//}

